clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::ento::NodeBuilderContext Struct Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/CoreEngine.h"`

Collaboration diagram for clang::ento::NodeBuilderContext:
[legend]

## Public Member Functions
| NodeBuilderContext (const CoreEngine &E, const CFGBlock *B, ExplodedNode *N)
const CFGBlock * | getBlock () const
| Return the CFGBlock associated with this builder. More...
unsigned | blockCount () const
| Returns the number of times the current basic block has been visited on the exploded graph path. More...

## Public Attributes
const CoreEngine & | Eng
const CFGBlock * | Block
const LocationContext * | LC

## Detailed Description

Definition at line 207 of file CoreEngine.h.

## Constructor & Destructor Documentation

## ◆ NodeBuilderContext()

clang::ento::NodeBuilderContext::NodeBuilderContext | ( | const CoreEngine & | E,
|  | const CFGBlock * | B,
|  | ExplodedNode * | N
| ) |  |
| inline

Definition at line 212 of file CoreEngine.h.

## Member Function Documentation

## ◆ blockCount()

unsigned clang::ento::NodeBuilderContext::blockCount | ( |  | ) | const
| inline

Returns the number of times the current basic block has been visited on the exploded graph path.

Definition at line 220 of file CoreEngine.h.

References clang::CFGBlock::getBlockID(), and clang::LocationContext::getStackFrame().

Referenced by clang::ento::CheckerContext::blockCount(), clang::ento::ExprEngine::CreateCXXTemporaryObject(), clang::ento::ExprEngine::getInitialState(), clang::ento::ExprEngine::handleLVectorSplat(), clang::ento::ExprEngine::processCFGBlockEntrance(), clang::ento::ExprEngine::ProcessInitializer(), clang::ento::ExprEngine::VisitBinaryOperator(), clang::ento::ExprEngine::VisitBlockExpr(), clang::ento::ExprEngine::VisitCast(), clang::ento::ExprEngine::VisitCXXCatchStmt(), clang::ento::ExprEngine::VisitCXXNewExpr(), clang::ento::ExprEngine::VisitDeclStmt(), and clang::ento::ExprEngine::VisitGuardedExpr().

## ◆ getBlock()

const CFGBlock* clang::ento::NodeBuilderContext::getBlock | ( |  | ) | const
| inline

Return the CFGBlock associated with this builder.

Definition at line 216 of file CoreEngine.h.

Referenced by clang::ento::CheckerContext::getBlockID(), clang::ento::ExprEngine::getCurrentCFGElement(), clang::ento::ExprEngine::processBranch(), clang::ento::ExprEngine::processCFGBlockEntrance(), clang::ento::ExprEngine::ProcessImplicitDtor(), clang::ento::ExprEngine::ProcessInitializer(), clang::ento::ExprEngine::ProcessLoopExit(), clang::ento::ExprEngine::ProcessNewAllocator(), and clang::ento::ExprEngine::ProcessStmt().

## Member Data Documentation

## ◆ Block

const CFGBlock* clang::ento::NodeBuilderContext::Block

Definition at line 209 of file CoreEngine.h.

## ◆ Eng

const CoreEngine& clang::ento::NodeBuilderContext::Eng

Definition at line 208 of file CoreEngine.h.

## ◆ LC

const LocationContext* clang::ento::NodeBuilderContext::LC

Definition at line 210 of file CoreEngine.h.

The documentation for this struct was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/CoreEngine.h